Last Comment Bug 289927 - JS Console shouldn't show line number if line is 0.
: JS Console shouldn't show line number if line is 0.
Status: RESOLVED FIXED
[verified-seamonkey1.1a]
: fixed-seamonkey1.1a, fixed1.8.1
Product: Toolkit Graveyard
Classification: Graveyard
Component: Error Console (show other bugs)
: 1.8 Branch
: All All
-- normal (vote)
: mozilla1.8.1beta2
Assigned To: Doron Rosenberg (IBM)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-11 10:01 PDT by Doron Rosenberg (IBM)
Modified: 2016-06-29 11:02 PDT (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (1.77 KB, patch)
2005-04-11 10:02 PDT, Doron Rosenberg (IBM)
no flags Details | Diff | Splinter Review
use class name rather than id [Checkin: Comment 6 and 14] (1.77 KB, patch)
2005-04-12 08:29 PDT, Doron Rosenberg (IBM)
mconnor: review+
mbeltzner: approval1.8.1+
Details | Diff | Splinter Review
(Bv1-XPFE) <consoleBindings.xml>++ [Checkin: Comment 13] (2.67 KB, patch)
2006-07-18 21:25 PDT, Serge Gautherie (:sgautherie)
neil: review+
neil: superreview+
mbeltzner: approval1.8.1+
Details | Diff | Splinter Review
(Cv1-TK) <console.css> [Checkin: Comment 12 and 14] (1.28 KB, patch)
2006-07-19 08:43 PDT, Serge Gautherie (:sgautherie)
mbeltzner: approval1.8.1+
Details | Diff | Splinter Review

Description User image Doron Rosenberg (IBM) 2005-04-11 10:01:47 PDT
No good toolkit component to file this in.
Comment 1 User image Doron Rosenberg (IBM) 2005-04-11 10:02:31 PDT
Created attachment 180381 [details] [diff] [review]
patch
Comment 2 User image neil@parkwaycc.co.uk 2005-04-11 16:42:11 PDT
Comment on attachment 180381 [details] [diff] [review]
patch

>+            <xul:hbox id="lineNumberRow" xbl:inherits="line">
>+              <xul:label class="label" value="&errLine.label;"/>
>+              <xul:label class="label" xbl:inherits="value=line" flex="1"/>
>+            </xul:hbox>
The box should use a class, not an id. Also, the box doesn't flex, which makes
the flex of its last child pretty pointless.

Note that flexing the box will make the layout minusculely different from the
original console layout (i.e. don't worry about it).
Comment 3 User image Doron Rosenberg (IBM) 2005-04-12 08:29:36 PDT
Created attachment 180489 [details] [diff] [review]
use class name rather than id
[Checkin: Comment 6 and 14]
Comment 4 User image Simon Bünzli 2006-07-14 10:28:40 PDT
Amazingly this patch still applies. I just hope that Gavin believes that mconnor's r+ was eaten by BugZilla while moving this bug to the correct product. :)
Comment 5 User image Mike Connor [:mconnor] 2006-07-18 09:39:28 PDT
Comment on attachment 180489 [details] [diff] [review]
use class name rather than id
[Checkin: Comment 6 and 14]

Restoring missing r=me
Comment 6 User image Doron Rosenberg (IBM) 2006-07-18 09:44:41 PDT
fixed on trunk
Comment 7 User image Serge Gautherie (:sgautherie) 2006-07-18 21:25:31 PDT
Created attachment 229776 [details] [diff] [review]
(Bv1-XPFE) <consoleBindings.xml>++
[Checkin: Comment 13]

[Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.8.1b1) Gecko/20060717 SeaMonkey/1.1a] (nightly) (W98SE)

Port/Copy Toolkit patch to XPFE,
with additional space nits fixes.

Successfully tested on 1.8 branch.
Comment 8 User image neil@parkwaycc.co.uk 2006-07-19 05:40:24 PDT
Comment on attachment 229776 [details] [diff] [review]
(Bv1-XPFE) <consoleBindings.xml>++
[Checkin: Comment 13]

Seems that for comment 2 I applied the patch to xpfe and I've been using it like that since then ;-)
Comment 9 User image Serge Gautherie (:sgautherie) 2006-07-19 08:34:03 PDT
Comment on attachment 229776 [details] [diff] [review]
(Bv1-XPFE) <consoleBindings.xml>++
[Checkin: Comment 13]

'approval1.8.1=?': (SeaMonkey only)
Simple U.I. code enhancement, no risk.
Comment 10 User image Serge Gautherie (:sgautherie) 2006-07-19 08:43:50 PDT
Created attachment 229827 [details] [diff] [review]
(Cv1-TK) <console.css>
[Checkin: Comment 12 and 14]

Additional space nits fixes, from the XPFE patch.
Comment 11 User image Mike Beltzner [:beltzner, not reading bugmail] 2006-07-19 14:04:32 PDT
Comment on attachment 229776 [details] [diff] [review]
(Bv1-XPFE) <consoleBindings.xml>++
[Checkin: Comment 13]

a=drivers, please go ahead and land on the 1.8.1branch
Comment 12 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2006-07-19 17:43:34 PDT
Comment on attachment 229827 [details] [diff] [review]
(Cv1-TK) <console.css>
[Checkin: Comment 12 and 14]

I checked this in on the trunk:
mozilla/toolkit/components/console/content/console.css 	1.5
Comment 13 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2006-07-19 17:44:09 PDT
mozilla/xpfe/components/console/resources/content/consoleBindings.xml 	1.24
mozilla/xpfe/components/console/resources/content/console.css 	1.6
mozilla/xpfe/components/console/resources/content/consoleBindings.xml 	1.23.8.1
mozilla/xpfe/components/console/resources/content/console.css 	1.5.66.1
Comment 14 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2006-07-19 17:48:17 PDT
mozilla/toolkit/components/console/content/consoleBindings.xml 	1.9.2.2
mozilla/toolkit/components/console/content/console.css 	1.3.56.1
Comment 15 User image Serge Gautherie (:sgautherie) 2006-07-19 17:58:34 PDT
Comment on attachment 180489 [details] [diff] [review]
use class name rather than id
[Checkin: Comment 6 and 14]

'approval1.8.1=?': (Toolkit only)
Simple U.I. code enhancement, no risk.
To synchronize with XPFE.
Comment 16 User image Serge Gautherie (:sgautherie) 2006-07-19 18:08:14 PDT
(In reply to comment #15)
> (From update of attachment 180489 [details] [diff] [review] [edit])
> 'approval1.8.1=?': (Toolkit only)

Well, Gavin checked it in to the branch (with "a=beltzner") while I was asking for approval...
Comment 17 User image Serge Gautherie (:sgautherie) 2006-07-19 18:13:48 PDT
Comment on attachment 229827 [details] [diff] [review]
(Cv1-TK) <console.css>
[Checkin: Comment 12 and 14]

'approval1.8.1=?': (Toolkit only)
From Trunk checkin:
"Fix whitespace nits to sync with xpfe, r=sparky",
no risk.
Comment 18 User image Mike Beltzner [:beltzner, not reading bugmail] 2006-07-20 11:40:30 PDT
Comment on attachment 180489 [details] [diff] [review]
use class name rather than id
[Checkin: Comment 6 and 14]

a=drivers
Comment 19 User image Mike Beltzner [:beltzner, not reading bugmail] 2006-07-20 11:40:38 PDT
Comment on attachment 229827 [details] [diff] [review]
(Cv1-TK) <console.css>
[Checkin: Comment 12 and 14]

a=drivers, perhaps post-hoc!
Comment 20 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2006-07-21 05:35:04 PDT
All these patches are already checked in.
Comment 21 User image Serge Gautherie (:sgautherie) 2006-07-21 08:38:57 PDT
Comment on attachment 229827 [details] [diff] [review]
(Cv1-TK) <console.css>
[Checkin: Comment 12 and 14]

(I hadn't noticed that you merged the patches when you checked them in :-<)
Comment 22 User image Serge Gautherie (:sgautherie) 2006-07-23 17:09:56 PDT
[Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.8.1b1) Gecko/20060723 SeaMonkey/1.1a] (nightly) (W98SE)

V.Fixed on MOZILLA_1_8_BRANCH.
Comment 23 User image Tanner M. Young [:tmyoung] 2009-12-04 11:51:03 PST
Resetting QA contact to default.

Note You need to log in before you can comment on or make changes to this bug.